package com.muyu.domain.model;

import com.muyu.domain.ActivityTeamInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.Date;
import java.util.function.Consumer;
import java.util.function.Function;

/**
 * 团购活动列表查询结果模型
 * @author: CuiFu Bo
 * @create: 2024-11-20 19:59
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamInfoListModel {

    /**
     * ID 编号
     */
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 拼团商品图片
     */
    private String productImage;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;
    /**
     * 拼团人数
     */
    private Long attendNumber;
    /**
     * 开团人数
     */
    private Long openTeamNumber;
    /**
     * 参团人数
     */
    private Long addTeamNumber;
    /**
     * 团购库存
     */
    private Long teamStock;
    /**
     * 剩余库存
     */
    private Long remainStock;
    /**
     * 团购结束时间
     */
    private Date endTime;
    /**
     * 团购状态
     */
    private String status;


    public static ActivityTeamInfoListModel infoBuild(ActivityTeamInfo activityTeamInfo, Function<ActivityTeamInfoListModel.ActivityTeamInfoListModelBuilder , ActivityTeamInfoListModel> function){
        return function.apply(
                ActivityTeamInfoListModel.builder()
                        .id(activityTeamInfo.getId())
                        .name(activityTeamInfo.getName())
                        .endTime(activityTeamInfo.getEndTime())
                        .productImage(activityTeamInfo.getProductImage())
                        .status(activityTeamInfo.getStatus())
        );
    }
}
