package com.muyu.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.math.RoundingMode;

/**
 * 团购活动价格模型
 * @author: CuiFu Bo
 * @create: 2024-11-21 16:07
 **/

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TeamDiscountPriceModel {
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;
    /**
     * 商品价格
     */
    private BigDecimal productPrice;
    /**
     * 优惠力度
     */
    private Double discount;

    /**
     *
     * @param
     * @param teamPrice
     * @return
     */
    public static TeamDiscountPriceModel of(BigDecimal price, BigDecimal teamPrice){
         return   TeamDiscountPriceModel.builder()
                .productPrice(price)
                .teamPrice(teamPrice)
                .discount(price.subtract(teamPrice).divide(price,2, RoundingMode.HALF_EVEN).doubleValue())
                .build();

    }

}
