package com.muyu.domain.req;

import com.muyu.domain.model.ActivitySkuModel;
import com.muyu.domain.model.ActivityTeamInfoAddModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * 拼团活动添加
 *
 * @author: CuiFu Bo
 * @create: 2024-11-22 20:48
 **/

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityInfoAddReq {
    /**
     * 商品ID
     */
    private Long projectId;
    /**
     *商品图片
     */
    private String productImage;
    /**
     *活动名称
     */
    private String name;
    /**
     *活动简介
     */
    private String introduction;
    /**
     *商品单位
     */
    private String unit;
    /**
     *商品的轮番图
     */
    private String imagesList;
    /**
     *活动时间
     */
    private Date endTime;
    /**
     *策略类型
     */
    private String strategyType;
    /**
     *策略ID
     */
    private Long strategyId;
    /**
     *排序
     */
    private long sort;
    /**
     *详情
     */
    private String content;
    /**
     * 商品规格
     */
    private List<ActivitInfoSkuAddReq> skuList;
}
