package com.muyu.domain.req;

import com.muyu.common.core.web.page.PageDomain;
import com.muyu.domain.model.ActivityTeamInfoListQueryModel;
import lombok.*;
import lombok.experimental.SuperBuilder;

/**
 * 列表查询
 * @Date：2024.11.20 19:49
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class TeamInfoListReq extends PageDomain {

    /**
     * 搜索关键词
     */
    private String keyWord;
    /**
     * 状态
     */
    private String status;

    /**
     * 通过当前对象构建业务查询模型
     * @return 业务查询模型
     */
    public ActivityTeamInfoListQueryModel buildQueryModel(){
        return ActivityTeamInfoListQueryModel.builder()
                .keyWord(this.keyWord)
                .status(this.status)
                .build()
                .domainBuild(this);
    }
}
