package com.muyu.domain.resp;

import com.muyu.common.core.web.page.PageDomain;
import com.muyu.domain.model.ActivityTeamInfoListModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 *TeamInfoListResp
 * @Date：2024.11.20 19:47
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TeamInfoListResp  {
    /**
     * ID编号
     */
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 拼团商品图片
     */
    private String productImage;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;
    /**
     * 拼团人数
     */
    private Long attendNumber;
    /**
     * 开团人数
     */
    private Long openTeamNumber;
    /**
     * 参团人数
     */
    private Long addTeamNumber;
    /**
     * 团购库存
     */
    private Long teamStock;
    /**
     * 剩余库存
     */
    private Long remainStock;
    /**
     * 团购结束时间
     */
    private Date endTime;
    /**
     * 团购状态
     */
    private String status;

    public static TeamInfoListResp listModerBuild(ActivityTeamInfoListModel activityTeamInfoListModel){
        return TeamInfoListResp.builder()
                .id(activityTeamInfoListModel.getId())
                .name(activityTeamInfoListModel.getName())
                .productImage(activityTeamInfoListModel.getProductImage())
                .teamPrice(activityTeamInfoListModel.getTeamPrice())
                .attendNumber(activityTeamInfoListModel.getAttendNumber())
                .openTeamNumber(activityTeamInfoListModel.getOpenTeamNumber())
                .addTeamNumber(activityTeamInfoListModel.getAddTeamNumber())
                .teamStock(activityTeamInfoListModel.getTeamStock())
                .remainStock(activityTeamInfoListModel.getRemainStock())
                .endTime(activityTeamInfoListModel.getEndTime())
                .status(activityTeamInfoListModel.getStatus())
                .build();
    }

}
