package com.muyu.system.team.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.domain.ActivityTeamInfo;
import com.muyu.domain.model.ActivitySkuModel;
import com.muyu.domain.model.ActivityTeamInfoAddModel;
import com.muyu.domain.model.ActivityTeamInfoListModel;
import com.muyu.domain.model.ActivityTeamInfoListQueryModel;
import com.muyu.product.domain.req.ProjectInfoSaveReq;

import java.util.List;

/**
  商品拼团信息
 * @author: CuiFu Bo
 * @create: 2024-11-20 20:49
 **/
public interface ActivityTeamInfoService extends IService<ActivityTeamInfo> {
    /**
     * 通过查询模型查询团购活动列表
     * @param activityTeamInfoListQueryModel  团购活动查询模型
     * @return 团购活动列表
     */
    public TableDataInfo<ActivityTeamInfoListModel> query(ActivityTeamInfoListQueryModel activityTeamInfoListQueryModel);


    void activityAndProductList(ActivityTeamInfoAddModel activityTeamInfoAddModel, ActivitySkuModel activitySkuModel);


}



