package com.muyu.system.team.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.enums.TeamOpenTypeEnums;
import com.muyu.domain.ActivityTeamOpenInfo;
import com.muyu.system.team.mapper.ActivityTeamOpenInfoMapper;

/**
 *  团购活动执行表
 * @author: CuiFu Bo
 * @create: 2024-11-20 20:49
 **/
public interface ActivityTeamOpenInfoService extends IService<ActivityTeamOpenInfo> {
    /**
     * 通过活动Id和开团类型查询开团数量
     * @param teamId 活动ID
     * @param teamOpenTypeEnums 开团类型
     * @return  开团数量
     */
    public Long getTeamOpenNumberByTeamIdAndType(Long teamId, TeamOpenTypeEnums teamOpenTypeEnums);

    /**
     * 根据活动id查询开团数量
     * @param teamId 活动ID
     * @return 开团数量
     */
    public default Long getTeamOpenTypeByOpenAndTypeTeam(Long teamId){
        return this.getTeamOpenNumberByTeamIdAndType(teamId,TeamOpenTypeEnums.OPEN_TEAM);
    }

    /**
     * 根据活动Id查询参团数量
     * @param teamId 活动ID
     * @return 参团数量
     */
    public default Long getTeamOpenTypeByInAndTypeTeam(Long teamId){
        return this.getTeamOpenNumberByTeamIdAndType(teamId,TeamOpenTypeEnums.IN_TEAM);
    }

}



