package com.muyu.system.team.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.ActivityTeamProductSkuInfo;
import com.muyu.domain.model.TeamDiscountPriceModel;
import com.muyu.domain.model.TeamProductStockModel;

import java.util.List;

/**
 * 商品拼团规格信息表
 * @author: CuiFu Bo
 * @create: 2024-11-20 20:50
 **/
public interface ActivityTeamProductSkuInfoService extends IService<ActivityTeamProductSkuInfo> {

    public default List<ActivityTeamProductSkuInfo> getActivityTeamProductSkuInfoByActivity(Long teamId) {
        LambdaQueryWrapper<ActivityTeamProductSkuInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(ActivityTeamProductSkuInfo::getTeamId, teamId);
        return (this.list(queryWrapper));
    }

    /**
     * 通过活动ID获取商品最优惠的价格
     * @param teamId 活动Id
     * @return 优惠价格
     */
    public TeamDiscountPriceModel getDiscountPrice(Long teamId);

    /**
     * 通过活动ID 获取剩余库存
     * @param teamId 活动Id
     * @return 剩余库存
     */
    public TeamProductStockModel getProductStockModer(Long teamId);
}



