package com.muyu.system.team.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.enums.TeamOpenTypeEnums;
import com.muyu.domain.ActivityTeamOpenInfo;
import com.muyu.product.cache.ProjectSkuCache;
import com.muyu.system.team.mapper.ActivityTeamOpenInfoMapper;
import com.muyu.system.team.service.ActivityTeamOpenInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 团购活动执行表
 * @author: CuiFu Bo
 * @create: 2024-11-20 21:40
 **/

@Service
public class ActivityTeamOpenInfoServiceImpl extends ServiceImpl<ActivityTeamOpenInfoMapper, ActivityTeamOpenInfo> implements ActivityTeamOpenInfoService {


    @Override
    public Long getTeamOpenNumberByTeamIdAndType(Long teamId, TeamOpenTypeEnums teamOpenTypeEnums) {
        LambdaQueryWrapper<ActivityTeamOpenInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(ActivityTeamOpenInfo::getTeamId,teamId);
        queryWrapper.eq(ActivityTeamOpenInfo::getTeamType,teamOpenTypeEnums.code());
        return count(queryWrapper);
    }
}
