package com.muyu.product.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：cuifubo
 * @Package：com.muyu.product.domain.resp
 * @Project：cloud-server
 * @name：ProjectInfoResp
 * @Date：2024.11.20 00:54
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ProjectInfoResp {
    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 商品名称 */
    @Excel(name = "商品名称")
    @ApiModelProperty(name = "商品名称", value = "商品名称")
    private String name;

    /** 商品描述 */
    @Excel(name = "商品描述")
    @ApiModelProperty(name = "商品描述", value = "商品描述")
    private String introduction;

    /** 主类型 */
    @Excel(name = "主类型")
    @ApiModelProperty(name = "主类型", value = "主类型")
    private Long mianType;

    /** 父类型 */
    @Excel(name = "父类型")
    @ApiModelProperty(name = "父类型", value = "父类型")
    private Long parentType;

    /** 商品类型 */
    @Excel(name = "商品类型")
    @ApiModelProperty(name = "商品类型", value = "商品类型")
    private Long type;

    /** 商品图片 */
    @Excel(name = "商品图片")
    @ApiModelProperty(name = "商品图片", value = "商品图片")
    private String image;

    /** 商品轮播图 */
    @Excel(name = "商品轮播图")
    @ApiModelProperty(name = "商品轮播图", value = "商品轮播图")
    private String carouselImages;

    /** 商品状态 */
    @Excel(name = "商品状态")
    @ApiModelProperty(name = "商品状态", value = "商品状态")
    private String status;

    /** 规格 */
    @Excel(name = "规格")
    @ApiModelProperty(name = "规格", value = "规格")
    private Long ruleId;

    /** 品牌 */
    @Excel(name = "品牌")
    @ApiModelProperty(name = "品牌", value = "品牌")
    private Long brandId;

    /**
     * 主类型名称
     */
    private String mianTypeName;

    /**
     * 父类型名称
     */
    private String  parentTypeName;
    /**
     * 商品类型名称
     */
    private String typeName;

    /**
     * 规格名称
     */
    private String ruleName;
    /**
     * 品牌名称
     */
    private String brandName;
}
